Bug 252318 - totem doesn't start in cjk locale.
totem doesn't start in cjk locale.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
i386 Linux
high Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-15 07:36 EDT by sangu
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.12.0-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 01:53:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sangu 2007-08-15 07:36:04 EDT
Description of problem:
$gdb totem
[...]
(totem:11183): Gtk-WARNING **: Invalid input string

(totem:11183): Gtk-WARNING **: Invalid input string

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208248560 (LWP 11183)]
0x00e2c4b0 in IA__g_markup_escape_text (
    text=0x85e1000 <Address 0x85e1000 out of bounds>, length=-1)
    at gmarkup.c:1910
1910          next = g_utf8_next_char (p);
(gdb) bt
#0  0x00e2c4b0 in IA__g_markup_escape_text (
    text=0x85e1000 <Address 0x85e1000 out of bounds>, length=-1)
    at gmarkup.c:1910
#1  0x0067b570 in gtk_widget_set_property (object=0x8333280, prop_id=21, 
    value=0xbfb90268, pspec=0x838fce0) at gtkwidget.c:2444
#2  0x00c803aa in IA__g_object_set_property (object=0x8333280, 
    property_name=0x859e880 "tooltip-text", value=0x85a85fc) at gobject.c:697
#3  0x0067bc18 in gtk_widget_buildable_set_buildable_property (
    buildable=0x8333280, builder=0x85467b0, name=0x859e880 "tooltip-text", 
    value=0x85a85fc) at gtkwidget.c:8892
#4  0x0043a690 in _gtk_builder_construct (builder=0x85467b0, info=0x8598840)
    at gtkbuilder.c:465
#5  0x0043b650 in builder_construct (data=0x859aca0, object_info=0x8598840)
    at gtkbuilderparser.c:219
#6  0x0043c5de in start_element (context=0x859d020, 
    element_name=0x85a6f28 "child", names=0xbfb90508, values=0xbfb90508, 
    user_data=0x859aca0, error=0xbfb90500) at gtkbuilderparser.c:376
#7  0x00e2e3a3 in IA__g_markup_parse_context_parse (context=0x859d020, 
    text=0x859ad78 "<?xml version=\"1.0\" ?>\n<!--*- mode: xml -*--><!DOCTYPE
glade-interface\n  SYSTEM
'http://glade.gnome.org/glade-2.0.dtd'>\n<interface>\n\n<object
class=\"GtkVBox\" id=\"vbox4\">\n  <property name=\"border_width\""...,
text_len=8861, error=0xbfb90590) at gmarkup.c:1326
#8  0x0043b9e0 in _gtk_builder_parser_parse_buffer (builder=0x85467b0, 
---Type <return> to continue, or q <return> to quit---
    filename=0x859acc8 "/usr/share/totem/playlist.ui", 
    buffer=0x859ad78 "<?xml version=\"1.0\" ?>\n<!--*- mode: xml -*--><!DOCTYPE
glade-interface\n  SYSTEM
'http://glade.gnome.org/glade-2.0.dtd'>\n<interface>\n\n<object
class=\"GtkVBox\" id=\"vbox4\">\n  <property name=\"border_width\""...,
length=8861, error=0xbfb90590) at gtkbuilderparser.c:948
#9  0x0043af47 in IA__gtk_builder_add_from_file (builder=0x85467b0, 
    filename=0x859acc8 "/usr/share/totem/playlist.ui", error=0xbfb905c8)
    at gtkbuilder.c:656
#10 0x080853b2 in totem_interface_load_with_full_path ()
#11 0x080854e4 in totem_interface_load ()
#12 0x080678c8 in ?? ()
#13 0x00c9998a in IA__g_type_create_instance (type=140088272) at gtype.c:1569
#14 0x00c81172 in g_object_constructor (type=140088272, 
    n_construct_properties=0, construct_params=0x0) at gobject.c:1046
#15 0x00c7ed8b in IA__g_object_newv (object_type=140088272, n_parameters=0, 
    parameters=0x0) at gobject.c:937
#16 0x00c7f92f in IA__g_object_new_valist (object_type=140088272, 
    first_property_name=0x0, var_args=<value optimized out>) at gobject.c:986
#17 0x00c7fae0 in IA__g_object_new (object_type=140088272, 
    first_property_name=0x0) at gobject.c:795
#18 0x08066a83 in totem_playlist_new ()
#19 0x0805cb76 in ?? ()
#20 0x0805f3f7 in main ()


Version-Release number of selected component (if applicable):
2.19.6-4.fc8

How reproducible:
always

Steps to Reproduce:
1. $totem
2.
3.
  
Actual results:


Expected results:


Additional info:
gtk2-2.11.6-6.fc8
Comment 1 sangu 2007-08-15 07:41:49 EDT
totem doesn't start in cjk locale.
But totem works well in en_US.UTF-8.
Comment 2 Bastien Nocera 2007-08-15 07:42:37 EDT
It's the upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=461945

Reassigning to GTK+. Matthias, let me know if I need to update the gtk2 reqs in
totem.

Note You need to log in before you can comment on or make changes to this bug.